Bug 852006 - 'Type' field shouldn't be empty under 'changeset list' command and should show the changeset type e.g. (deletion/promotion)
'Type' field shouldn't be empty under 'changeset list' command and should sh...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Martin Bacovsky
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 06:05 EDT by Sachin Ghai
Modified: 2014-09-18 11:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
System Engine does not display information about changeset types using the command "changeset list". This fix allows users to see the changesets types listed with this command.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:51:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2012-08-27 06:05:01 EDT
Description of problem:
I created two changesets, one is of type 'promotion' and other is of 'deletion'

The changeset info command correctly showing the changeset type with other info but its missing under 'changeset list' command. Since the type field is there, so it should show the changeset type in list command.


changeset of type --deletion:
==============================
katello> changeset create --org ACME_Corporation --name testset_del --environment dev --deletion
Successfully created changeset [ testset_del ] for environment [ dev ]

katello> changeset info --org ACME_Corporation --environment dev --name testset_del 
-------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                      Changeset Info
-------------------------------------------------------------------------------------------------------------------------------------------------------------

Id:               2
Name:             testset_del
Action Type:      deletion
Description:
    None
<truncate>


Changeset of type 'promotion':
================================
katello> changeset create --org ACME_Corporation --name testset --environment dev --promotion 
Successfully created changeset [ testset ] for environment [ dev ]

katello> changeset info --org ACME_Corporation --environment dev --name testset  
--------------------------------------------------------------------------------
                                Changeset Info
--------------------------------------------------------------------------------

Id:               1
Name:             testset
Action Type:      promotion
Description:
    None
<truncate>

Changeset list 'doesn't show the type of changeset:
=======================================================

katello> changeset list --org ACME_Corporation --environment dev
-------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                      Changeset List

 Id   Name          Type   Updated At            State   Environment Id   Environment Name  
-------------------------------------------------------------------------------------------------------------------------------------------------------------
 1    testset              2012/08/27 09:32:15   new     2                dev               
 2    testset_del          2012/08/27 09:37:50   new     2                dev               

--



Version-Release number of selected component (if applicable):
Katello 1.1.6-1.git.19.0c0be49.el6_3
katello-cli-1.1.2-1.git.162.09c0162.el6_3.noarch
katello-cli-common-1.1.2-1.git.162.09c0162.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a changeset of type deletion/promotion
2. changeset list
3.
  
Actual results:
No type is displayed with changeset list command

--
 Id   Name          Type   Updated At            State   Environment Id   Environment Name  
-------------------------------------------------------------------------------------------------------------------------------------------------------------
 1    testset              2012/08/27 09:32:15   new     2                dev               
 2    testset_del          2012/08/27 09:37:50   new     2                dev               

--

Expected results:
Changeset list should also list the 'type of changeset' as there is already defined coloumn for this.



Additional info:
Comment 1 Martin Bacovsky 2012-09-03 11:49:41 EDT
Fixed by Pajk in commit 29557788796cfb59978e9e4c4d34bb7c60dfbdd9 in Katello tree.
Comment 3 Sachin Ghai 2012-09-18 04:19:26 EDT
Verified with following CFSE build:

[root@dhcp201-107 ~]# rpm -qa | grep katello
katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


Now 'changeset list' command showing the 'changeset type' as below:


------
[root@dhcp201-107 ~]# katello -u admin -p admin shell
cfse> changeset create --org ACME_Corporation --name testset --environment dev --promotion 
Successfully created changeset [ testset ] for environment [ dev ]


cfse> changeset create --org ACME_Corporation --name testset_del --environment dev --deletion
Successfully created changeset [ testset_del ] for environment [ dev ]


cfse> changeset list --org ACME_Corporation --environment dev
-------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                      Changeset List

 Id   Name          Action Type   Updated At            State   Environment Id   Environment Name  
-------------------------------------------------------------------------------------------------------------------------------------------------------------
 2    testset_del   deletion      2012/09/18 08:05:42   new     2                dev               
 1    testset       promotion     2012/09/18 08:04:18   new     2                dev               
cfse> 

----
Comment 5 errata-xmlrpc 2012-12-04 14:51:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.